Company check

Match given inputs against registered companies in the UK and Ireland. A billable company report will be generated using the following rules:

Reasons for a FAIL result

  • Simplified company status is Closed
  • A current officer is disqualified
  • No company was matched
  • Company matched has no data
  • PEPs and sanctions check returned one or more businesses with a match score of 100

Possible warnings (Will not cause a FAIL)

  • Simplified company status is Intermediate
  • One or more Gazette notices were found
  • No shareholder information was found
  • No shareholder information was found for the ultimate parent
  • Ultimate parent is a foreign company
  • Annual return or confirmation statement is overdue
  • Accounts are overdue
  • A former officer is disqualified
  • PEPs and sanctions check returned one or more businesses with a match score at or above 80

If multiple potential matches are found, a pick list is returned with enough information to allow for a more specific subsequent request (not billable).

Sandbox

In Sandbox environment this endpoint will generate static response from historical data of real company check reports for 7 predefined company searches. All other requests will result in report not found response (HTTP 404).

Example search requests

  • Hsbc Holdings Plc
    {
      "companyId": "00617987"
    } 

  • Woolworths Group Plc
    {
      "companyId": "03855289"
    } 

  • Royal Dutch Shell Plc
    {
      "companyId": "04366849"
    } 

  • Evi Technologies Limited
    {
      "companyId": "04660006"
    } 

  • Duedil Limited
    {
      "companyId": "06999618"
    } 

  • Brompton Bicycle Limited
    {
      "companyId": "01261512",
      "name": "Brompton Bicycle Limited",
      "countryCodes": {
          "values": [
              "GB"
          ]
      }
    } 

  • Tesco name search
    {
      "name": "tesco",
      "countryCodes": {
          "values": [
              "GB"
          ]
      }
    } 

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
enum
required

Response format. Currently, only supported option is json.

Allowed:
Body Params

Company check criteria.

string

Company registration number. Required if name is not provided

countryCodes
object

List of company country codes

domainNames
object

List of company domain names

string

Registered company name. Required if companyId is not provided

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json